Bug 1736804 - appliance-creator should abort early instead of wipe output image and --cache
Summary: appliance-creator should abort early instead of wipe output image and --cache
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: appliance-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2019-08-02 05:17 UTC by Warren Togami
Modified: 2020-11-24 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:07:45 UTC
Type: Bug


Attachments (Terms of Use)
original-ks.cfg (2.54 KB, text/plain)
2019-08-02 05:20 UTC, Warren Togami
no flags Details

Description Warren Togami 2019-08-02 05:17:20 UTC
Description of problem:
I previously used appliance-creator with Fedora 24 armhfp with similar command line options. Now it succeeds with Fedora 30 aarch64 but with two problems.

# appliance-creator -c /root/kickstarts/original-ks.cfg \
                  -d -v --logfile /tmp/appliance.log    \
                  --cache /var/cache/pkgcache           \
                  -o app-output --format raw --name fedora30image
...

moving disks to stage location
writing image XML to /var/tmp/imgcreate-p1z0virl/out/fedora30image.xml
creating destination dir: app-output/fedora30image
moving /var/tmp/imgcreate-p1z0virl/out/fedora30image.xml to app-output/fedora30image/fedora30image.xml
Finished

Problem #1 the specified --cache directory contains RPMS during the build but is is wiped empty afterward.

Problem #2 the -o output image is missing after the build. The specified -o directory contains only that .xml file.


Version-Release number of selected component (if applicable):
appliance-tools-009.0-5.fc30.noarch

Comment 1 Warren Togami 2019-08-02 05:20:46 UTC
Created attachment 1599489 [details]
original-ks.cfg

kickstart copied from Fedora-Minimal-30-1.2.aarch64.raw.xz

Comment 2 Ben Cotton 2019-08-13 17:06:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 18:36:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Warren Togami 2019-09-15 18:57:24 UTC
The real bug here is appliance-creator will happily install a chroot without any storage defined, declare success then delete it. Perhaps appliance-creator should detect that no storage was defined and abort early?

Comment 5 Ben Cotton 2020-11-03 15:29:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 18:07:45 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.